Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo.io
Class I3DXML.FaceGPType

    java.lang.Object
      igeo.io.I3DXML.FaceGPType

Enclosing class:
  I3DXML

    public static class I3DXML.FaceGPType

extends java.lang.Object

Field Summary
`int[][]` | `fanIndices`
`java.lang.String` | `fans`
`IMesh` | `mesh`
`int[][]` | `stripIndices`
`java.lang.String` | `strips`
`I3DXML.SurfaceAttributesType` | `surfaceAttributes`
`int[]` | `triangleIndices`
`java.lang.String` | `triangles`

Constructor Summary
`I3DXML.FaceGPType()`

Method Summary
`IMesh` | `instantiatePolygon(I3DXML.VertexBufferType vtx)`
`void` | `setFans(java.lang.String fans)`
`void` | `setStrips(java.lang.String strips)`
`void` | `setTriangles(java.lang.String triangles)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### surfaceAttributes

    public I3DXML.SurfaceAttributesType surfaceAttributes

### triangles

    public java.lang.String triangles

### strips

    public java.lang.String strips

### fans

    public java.lang.String fans

### triangleIndices

    public int[] triangleIndices

### stripIndices

    public int[][] stripIndices

### fanIndices

    public int[][] fanIndices

### mesh

    public IMesh mesh

Constructor Detail

### I3DXML.FaceGPType

    public I3DXML.FaceGPType()

Method Detail

### setTriangles

    public void setTriangles(java.lang.String triangles)

### setStrips

    public void setStrips(java.lang.String strips)

### setFans

    public void setFans(java.lang.String fans)

### instantiatePolygon

    public IMesh instantiatePolygon(I3DXML.VertexBufferType vtx)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD